Bug 101604 - Replace DOMException TYPE_MISMATCH_ERR with TypeError
Summary: Replace DOMException TYPE_MISMATCH_ERR with TypeError
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Erik Arvidsson
URL:
Keywords:
Depends on: 101631 101502 102106
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-08 07:38 PST by Erik Arvidsson
Modified: 2017-07-18 08:29 PDT (History)
18 users (show)

See Also:


Attachments
Patch (72.98 KB, patch)
2012-11-09 11:31 PST, Erik Arvidsson
no flags Details | Formatted Diff | Diff
Patch for landing (65.04 KB, patch)
2012-11-12 08:42 PST, Erik Arvidsson
no flags Details | Formatted Diff | Diff
Patch for landing (66.85 KB, patch)
2012-11-12 15:01 PST, Erik Arvidsson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Arvidsson 2012-11-08 07:38:24 PST
Tracking Bug

We are using TYPE_MISMATCH_ERR in cases where we shouldn't and it is likely that this will be deprecated too:

https://www.w3.org/Bugs/Public/show_bug.cgi?id=19898
Comment 1 Erik Arvidsson 2012-11-09 11:31:07 PST
Created attachment 173341 [details]
Patch
Comment 2 Adam Barth 2012-11-09 13:46:03 PST
Comment on attachment 173341 [details]
Patch

ok
Comment 3 Erik Arvidsson 2012-11-12 08:42:06 PST
Created attachment 173653 [details]
Patch for landing
Comment 4 WebKit Review Bot 2012-11-12 12:30:55 PST
Comment on attachment 173653 [details]
Patch for landing

Rejecting attachment 173653 [details] from commit-queue.

New failing tests:
media/encrypted-media/encrypted-media-syntax.html
fast/mediastream/RTCPeerConnection.html
Full output: http://queues.webkit.org/results/14821221
Comment 5 Erik Arvidsson 2012-11-12 15:01:20 PST
Created attachment 173737 [details]
Patch for landing
Comment 6 WebKit Review Bot 2012-11-12 20:04:16 PST
Comment on attachment 173737 [details]
Patch for landing

Clearing flags on attachment: 173737

Committed r134345: <http://trac.webkit.org/changeset/134345>
Comment 7 WebKit Review Bot 2012-11-12 20:04:21 PST
All reviewed patches have been landed.  Closing bug.
Comment 8 Raphael Kubo da Costa (:rakuco) 2012-11-13 08:55:01 PST
Qt updated its text expectation for fast/dynamic/insertAdjacentElement.html in r134388 and I've updated the expectations for GTK+, Mac and EFL in r134426.

CC'ing Roger since I don't have a Mac to fix the pixel expectations for it.
Comment 9 Darin Adler 2012-11-13 09:37:41 PST
Comment on attachment 173737 [details]
Patch for landing

This caused me to look at bug 91679, where NATIVE_TYPE_ERR was added.

Unfortunately, that patch did not correctly add this new error code for bindings other than JavaScript, so using this new error code in lots of new places makes a potential problem with NATIVE_TYPE_ERR now a practical problem, for the Objective-C bindings for example. This needs to be fixed. Please see my comments in bug 91679 for details.

I suggest rolling this change back until those issues are dealt with, or dealing with them quickly.
Comment 10 WebKit Review Bot 2012-11-13 10:36:33 PST
Re-opened since this is blocked by bug 102106
Comment 11 Raphael Kubo da Costa (:rakuco) 2012-11-13 10:59:31 PST
(In reply to comment #8)
> Qt updated its text expectation for fast/dynamic/insertAdjacentElement.html in r134388 and I've updated the expectations for GTK+, Mac and EFL in r134426.
> 
> CC'ing Roger since I don't have a Mac to fix the pixel expectations for it.

... Qt, GTK+, Mac and EFL expectations fixed in <http://trac.webkit.org/changeset/134444> after the rollout.
Comment 12 Joshua Bell 2012-11-13 11:00:59 PST
(In reply to comment #11)
> (In reply to comment #8)
> > Qt updated its text expectation for fast/dynamic/insertAdjacentElement.html in r134388 and I've updated the expectations for GTK+, Mac and EFL in r134426.
> > 
> > CC'ing Roger since I don't have a Mac to fix the pixel expectations for it.
> 
> ... Qt, GTK+, Mac and EFL expectations fixed in <http://trac.webkit.org/changeset/134444> after the rollout.

I should have rolled those other patches out at the same time. :( Sorry, and thanks for cleaning up.